
Installer - Feature #3185

Refresh proxy features when proxy settings.yml is updated

10/02/2013 07:13 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Foreman modules   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/204

  

Description

When the foreman_proxy module config changes, we should refresh the foreman_smartproxy resource.  In the provider, we should

then call the smart proxy API in 1.4 to refresh features (#1244).  We'll need an updated foreman_api first though.

Related issues:

Related to Foreman - Feature #1244: smart proxies overview page needs a butto... Closed 10/20/2011

Associated revisions

Revision 03978d6a - 07/24/2014 06:15 AM - Dominic Cleal

fixes #3185 - refresh proxy features when foreman_smartproxy notified

History

#1 - 10/02/2013 07:14 PM - Dominic Cleal

- Related to Feature #1244: smart proxies overview page needs a button to 're-read' the supported features of a proxy added

#2 - 10/16/2013 03:57 PM - Greg Sutcliffe

- Target version deleted (1.4.0)

#3 - 07/23/2014 12:32 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

- translation missing: en.field_release set to 10

- Pull request https://github.com/theforeman/puppet-foreman/pull/204 added

#4 - 07/24/2014 07:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman|03978d6a5eb55da4fe5eb316db1833fbba344d14.
